Skip to main content
PUT
/
partner
/
v1
/
listings
/
{externalListingId}
Create or update listing
curl --request PUT \
  --url https://www.venturu.com/api/partner/v1/listings/{externalListingId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "status": {},
  "businessType": "<string>",
  "location": {
    "country": "<string>",
    "visibility": {},
    "streetAddress1": "<string>",
    "streetAddress2": "<string>",
    "city": "<string>",
    "state": "<string>",
    "postalCode": "<string>"
  },
  "brokerExternalId": "<string>",
  "title": "<string>",
  "description": "<string>",
  "establishedAt": {},
  "financials": {},
  "training": {
    "available": true,
    "description": "<string>",
    "duration": "<string>",
    "cost": 123
  },
  "property": {
    "propertyKind": {},
    "areaSqft": 123,
    "rentData": {
      "frequency": {},
      "amount": 123,
      "leaseRenewable": true,
      "leaseNegotiable": true,
      "leaseExpiration": {},
      "leaseDetails": "<string>"
    },
    "ownedData": {
      "propertyIncludedInPrice": true,
      "propertyAskingPrice": 123,
      "propertyDetails": "<string>"
    }
  },
  "financing": {
    "financingAvailable": true,
    "sbaPrequalified": true,
    "minimumDownPayment": 123,
    "buyerCanAssumeLoan": true
  },
  "photos": [
    {
      "url": "<string>",
      "sortKey": 123
    }
  ]
}
'
import requests

url = "https://www.venturu.com/api/partner/v1/listings/{externalListingId}"

payload = {
"status": {},
"businessType": "<string>",
"location": {
"country": "<string>",
"visibility": {},
"streetAddress1": "<string>",
"streetAddress2": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>"
},
"brokerExternalId": "<string>",
"title": "<string>",
"description": "<string>",
"establishedAt": {},
"financials": {},
"training": {
"available": True,
"description": "<string>",
"duration": "<string>",
"cost": 123
},
"property": {
"propertyKind": {},
"areaSqft": 123,
"rentData": {
"frequency": {},
"amount": 123,
"leaseRenewable": True,
"leaseNegotiable": True,
"leaseExpiration": {},
"leaseDetails": "<string>"
},
"ownedData": {
"propertyIncludedInPrice": True,
"propertyAskingPrice": 123,
"propertyDetails": "<string>"
}
},
"financing": {
"financingAvailable": True,
"sbaPrequalified": True,
"minimumDownPayment": 123,
"buyerCanAssumeLoan": True
},
"photos": [
{
"url": "<string>",
"sortKey": 123
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
status: {},
businessType: '<string>',
location: {
country: '<string>',
visibility: {},
streetAddress1: '<string>',
streetAddress2: '<string>',
city: '<string>',
state: '<string>',
postalCode: '<string>'
},
brokerExternalId: '<string>',
title: '<string>',
description: '<string>',
establishedAt: {},
financials: {},
training: {available: true, description: '<string>', duration: '<string>', cost: 123},
property: {
propertyKind: {},
areaSqft: 123,
rentData: {
frequency: {},
amount: 123,
leaseRenewable: true,
leaseNegotiable: true,
leaseExpiration: {},
leaseDetails: '<string>'
},
ownedData: {
propertyIncludedInPrice: true,
propertyAskingPrice: 123,
propertyDetails: '<string>'
}
},
financing: {
financingAvailable: true,
sbaPrequalified: true,
minimumDownPayment: 123,
buyerCanAssumeLoan: true
},
photos: [{url: '<string>', sortKey: 123}]
})
};

fetch('https://www.venturu.com/api/partner/v1/listings/{externalListingId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "success",
  "message": "<string>",
  "venturuListingId": 123,
  "venturuListingUrl": "<string>"
}
{
"status": "success",
"message": "<string>",
"venturuListingId": 123,
"venturuListingUrl": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

externalListingId
string
required

The ID of the listing from your system.

Body

application/json
status
object
required
businessType
string
required

The type of business being listed (e.g., 'Restaurant', etc.).

location
object
required

Location information about the business.

brokerExternalId
string | null

The ID of the broker this listing belongs to (from your system). Use this if the broker already exists.

broker
object

A complete broker object to create or update along with the listing. Use this to create both broker and listing in a single call.

title
string | null

A short title for the listing. Note that this title will not be used publicly.

description
string | null

A detailed description of the listing. Note that we may optimize the description based on the listing's overall parameters.

establishedAt
object | null

The date when the business was established (ISO 8601 format).

financials
object | null

Financial details of the listing.

training
object | null

Details about training provided to the new business owner.

property
object | null

Information about a business' property.

financing
object | null

Details about financing options available for the listing.

photos
object[] | null

A list of photos associated with the listing.

Response

Successful response

status
enum<string>
required

Indicates that the operation was successful.

Available options:
success
message
string
required

A message providing additional information about the operation.

venturuListingId
number | null

The Venturu ID of the listing.

venturuListingUrl
string | null

The URL of the listing on Venturu. Note that this field may be missing if we failed to generate a slug for the listing but may show up later.